Skip to main content
GET
/
v1
/
crm
/
merchants
/
{merchantId}
/
equipment-models
/
{equipmentModelId}
Get an Equipment Model
curl --request GET \
  --url https://api.example.com/v1/crm/merchants/{merchantId}/equipment-models/{equipmentModelId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "equipmentName": "<string>",
  "connectionType": [],
  "inStock": true,
  "freePlacement": true
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

merchantId
string
required
equipmentModelId
string
required

Response

The equipment model corresponding to the primary identifier.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
equipmentName
string | null
required
Maximum string length: 32
equipmentCategory
enum<string> | null
required
Available options:
terminal,
pin_pad,
lite_pos,
mobile_app,
var_sheet
connectionType
enum<string>[] | null
required
Available options:
ip,
wifi,
gprs,
ios,
android
inStock
boolean | null
required
freePlacement
boolean | null
required